"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getEventsFromContract = void 0;
exports.getEventsFromContract = async (contract, eventFilter) => {
    const logs = await contract.provider.getLogs({
        ...eventFilter,
        fromBlock: 0,
        toBlock: 'latest'
    });
    return logs.map((log) => ({
        values: contract.interface.parseLog(log).values,
        blockHash: log.blockHash,
        transactionHash: log.transactionHash
    }));
};
//# sourceMappingURL=events.js.map